<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		lorena.salamanca
@modified		christian.rodriguez - Se arreglan estilos y se integra con MB
@version		1.0
@description	Asociar y Desasociar Contactos de Predios
                Página principal
@cu 			CU-SA-AC-109 
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             xmlns:misc="http://java.sun.com/jsf/composite/misc"
             xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos" width="100%">

    <p:messages id="msgAdministrarContactos" showDetail="false"
                globalOnly="false" />

    <p:spacer height="10" width="0" />

    <h:form id="informacionContactosForm">

        <p:fieldset>
            <h:panelGrid columns="4" cellspacing="7"
                         columnClasses="colPequena, colMediana, colPequena, colMediana">

                <h:outputLabel value="Sec. Radicado:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{adminInfoContactoPredios.solicitudSeleccionada.numero}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{adminInfoContactoPredios.solicitante.primerNombre} 
                    #{adminInfoContactoPredios.solicitante.segundoNombre} 
                    #{adminInfoContactoPredios.solicitante.primerApellido} 
                    #{adminInfoContactoPredios.solicitante.segundoApellido}"
                    styleClass="outputTextStyle" />

            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="10" width="0" />

        <p:fieldset>
            <legend>
                <h:outputLabel
                    value="Predios seleccionados para asociar un contacto"
                    styleClass="legendTitle" />
            </legend>

            <p:spacer height="10" width="0" />

            <p:dataTable id="prediosContactosDT"
                         value="#{adminInfoContactoPredios.prediosSeleccionados}"
                         var="predio" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         emptyMessage="No se seleccionaron predios">

                <p:column headerText="Departamento">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.departamento.nombre}" />
                </p:column>
                <p:column headerText="Municipio">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.municipio.nombre}" />
                </p:column>
                <p:column headerText="Tipo avalúo">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.tipoAvaluoPredio}" />
                </p:column>
                <p:column headerText="Dirección predio">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.direccion}" />
                </p:column>
                <p:column headerText="Número predial">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.numeroPredial}" />
                </p:column>
                <p:column headerText="Contacto">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.contacto.nombreCompleto}" />
                </p:column>
            </p:dataTable>

            <p:spacer height="10" width="0" />

        </p:fieldset>

        <p:spacer height="10" width="0" />

        <p:fieldset>

            <legend>
                <h:outputLabel value="Contactos asociados al solicitante"
                               styleClass="legendTitle" />
            </legend>

            <p:spacer height="10" width="0" />

            <p:dataTable id="contactosPredioDT" widgetVar="contactosPrediosWV"
                         value="#{adminInfoContactoPredios.contactosSeleccionados}"
                         var="contacto" rowKey="#{contacto.id}" selectionMode="single"
                         selection="#{adminInfoContactoPredios.contactoSeleccionado}"
                         paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         emptyMessage="No se encontraron contratos asociados al solicitante">

                <p:column headerText="Opciones" style="width:50px">
                    <p:commandButton icon="ui-icon-trash" title="Eliminar"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); confirmacionEliminarContactoWV.show(); ">
                        <f:setPropertyActionListener value="#{contacto}"
                                                     target="#{adminInfoContactoPredios.contactoSeleccionado}" />
                    </p:commandButton>
                    <p:commandButton icon="ui-icon-pencil" title="Editar"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); administrarInfoContactoWV.show(); "
                                     update=":informacionContacto"
                                     action="#{adminInfoContactoPredios.editarContacto}">
                        <f:setPropertyActionListener value="#{contacto}"
                                                     target="#{adminInfoContactoPredios.contactoSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Primer apellido" filterBy=""
                          sortBy="#{contacto.Id}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.primerApellido}" />
                </p:column>
                <p:column headerText="Segundo apellido">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.segundoApellido}" />
                </p:column>
                <p:column headerText="Primer nombre">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.primerNombre}" />
                </p:column>
                <p:column headerText="Segundo nombre">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.segundoNombre}" />
                </p:column>
                <p:column headerText="Teléfono">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.telefonoPrincipal}" />
                    <h:outputText styleClass="outputTextStyle"
                                  value=" Ext. #{contacto.telefonoPrincipalExt}"
                                  rendered="#{not empty contacto.telefonoPrincipalExt}" />
                </p:column>
                <p:column headerText="Celular">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.telefonoCelular}" />
                </p:column>
                <p:column headerText="E-mail">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{contacto.correoElectronico}" />
                </p:column>
            </p:dataTable>

            <p:spacer height="10" width="0" />

        </p:fieldset>

        <p:spacer height="10" width="0" />

        <h:panelGrid columns="2" cellspacing="7">
            <p:commandButton value="Asociar contacto" icon="ui-icon-person"
                             action="#{adminInfoContactoPredios.asociarContacto}"
                             update=":informacionPrediosForm,
                             :informacionContactosForm:prediosContactosDT,
                             :msgAdministrarContactos"
                             onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                             onclick="if (contactosPrediosWV.selection.length == 0) {
                                         alert('Debe seleccionar un contacto a asociar al o a los predios.');
                                         return false;
                                     }"
                             disabled="#{empty adminInfoContactoPredios.prediosSeleccionados}" />
            <p:commandButton value="Nuevo contacto" icon="ui-icon-plus"
                             action="#{adminInfoContactoPredios.nuevoContacto}"
                             update=":informacionContacto" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); administrarInfoContactoWV.show(); "
                             disabled="#{empty adminInfoContactoPredios.prediosSeleccionados}" />
        </h:panelGrid>

    </h:form>

    <p:dialog widgetVar="administrarInfoContactoWV"
              header="Administrar información de contactos" dynamic="true"
              resizable="false">
        <ui:include src="editarContactodePredios.xhtml">
            <ui:param name="managedBeanParam" value="#{adminInfoContactoPredios}" />
            <ui:param name="contactoParam"
                      value="#{adminInfoContactoPredios.contactoSeleccionado}" />
        </ui:include>
    </p:dialog>

</h:panelGrid>

